Update Product
Authentication
Path parameters
Query parameters
A comma-separated list of sub-resources to return with a product object.
When you specify options or modifiers, results are limited to 10 per page.
Fields to include, in a comma-separated list. The ID and the specified fields will be returned.
Request
Availability of the product. (Corresponds to the productʼs Purchasability section in the control panel.) Supported values: available - the product is available for purchase; disabled - the product is listed on the storefront, but cannot be purchased; preorder - the product is listed for pre-orders.
Availability text displayed on the checkout page, under the product title. Tells the customer how long it will normally take to ship this product, such as: ‘Usually ships in 24 hours.’
You can add a product to an existing brand during a product /PUT or /POST. Use either the brand_id or the brand_name field. The response body can include brand_id.
You can create the brand during a product PUT or POST request. If the brand already exists, the product /PUT or /POST request adds the product to the brand. If not, the product /PUT or /POST request creates the brand and then adds the product to the brand. Brand name is not case-sensitive; “Common Good” and “Common good” are the same. Use either the brand_id or the brand_name field. The response body does not include brand_name.
The product condition. Will be shown on the product page if the is_condition_shown fieldʼs value is true. Possible values: New, Used, Refurbished.
The cost price of the product. Stored for reference only; it is not used or displayed anywhere on the store.
A fixed shipping cost for the product. If defined, this value will be used during checkout instead of normal shipping-cost calculation.
A list of gift-wrapping option IDs.
Always included in the response body; not applicable for the include_fields and exclude_fields query parameters.
Type of gift-wrapping options. Values: any - allow any gift-wrapping options in the store; none - disallow gift-wrapping on the product; list – provide a list of IDs in the gift_wrapping_options_list field.
Always included in the response body; not applicable for the include_fields and exclude_fields query parameters.
Current inventory level of the product. You must track inventory by product for this to take effect (see the inventory_tracking field). The Catalog API returns the inventory for only the default location.
The inventory for a product cannot exceed 2,147,483,647 in the catalog. If you exceed the limit, the store sets the inventory level to the limit.
The Catalog API handles limits in a different way than the Inventory API. For more information, see Limit handling.
The type of inventory tracking for the product. Values are: none - inventory levels will not be tracked; product - inventory levels will be tracked using the inventory_level and inventory_warning_level fields; variant - inventory levels will be tracked based on variants, which maintain their own warning levels and inventory levels.
Inventory warning level for the product. When the productʼs inventory level drops below the warning level, the store owner will be informed. Simple inventory tracking must be enabled (see the inventory_tracking field) for this to take any effect.
Flag to determine whether the product should be included in the featured products panel when viewing the store.
Flag used to indicate whether the product has free shipping. If true, the shipping cost for the product will be zero.
If set to true then on the preorder release date the preorder status will automatically be removed.
If set to false, then on the release date the preorder status will not be removed. It will need to be changed manually either in the
control panel or using the API. Using the API set availability to available.
Flag to determine whether the product should be displayed to customers browsing the store. If true, the product will be displayed. If false, the product will be hidden from view.
The layout template file used to render this product category. This field is writable only for stores with a Blueprint theme applied. For stores with a Stencil theme applied, see Custom Template Associations.
Custom meta description for the product page. If not defined, the storeʼs default meta description will be used.
Custom meta keywords for the product page. If not defined, the storeʼs default keywords will be used.
Description to use for the product, if not specified then the meta_description will be used instead.
Type of product, defaults to product.
Custom expected-date message to display on the product page. If undefined, the message defaults to the storewide setting. Can contain the %%DATE%% placeholder, which will be substituted for the release date.
Pre-order release date. See the availability field for details on setting a productʼs availability to accept pre-orders.
Tax Codes, such as AvaTax System Tax Codes, identify products and services that fall into special sales-tax categories. By using these codes, merchants who subscribe to a tax provider integration, such as BigCommerceʼs Avalara Premium, can calculate sales taxes more accurately. Stores without a tax provider will ignore the code when calculating sales tax. Do not pass more than one code. The codes are case-sensitive. For details, please see the tax providerʼs documentation.
The total (cumulative) rating for the product.
If entered, the sale price will be used instead of value in the price field when calculating the productʼs cost.
A comma-separated list of keywords that can be used to locate the product when searching the store.
A unique user-defined alphanumeric product code/stock keeping unit (SKU). The SKU is always unique regardless of the letter case for both products and variants.
The ID of the tax class applied to the product. (NOTE: Value ignored if automatic tax is enabled.)
The product type. One of: physical - a physical stock unit, digital - a digital download.
The Catalog API integrates with third-party YouTube. The YouTube Terms of Service and Google Privacy Policy apply, as indicated in our Privacy Policy and Terms of Service.